import 'package:car_provider_app/generated/locale_keys.g.dart';
import 'package:car_provider_app/widgets/app_bar.dart';
import 'package:car_provider_app/widgets/dialog/dialogs.dart';
import 'package:car_provider_app/widgets/dialog/message_dialog.dart';
import 'package:car_provider_app/widgets/dropdown/dropdow_field.dart';
import 'package:car_provider_app/widgets/extensions/int_extensions.dart';
import 'package:car_provider_app/widgets/extensions/string_extensions.dart';
import 'package:car_provider_app/widgets/button/show_fill_button.dart';
import 'package:car_provider_app/widgets/txt_field.dart';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';

class Profile3Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBar(context,title: LocaleKeys.signUp.tr()),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: SingleChildScrollView(
          child: Padding(
            padding: EdgeInsets.all(40),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                LocaleKeys.completeProfile3.tr().toText16(),
                LocaleKeys.branchInfo.tr().toText14(),
                12.height,
                // DropdownField(
                //   hint: "Country",
                // ),
                // 12.height,
                // DropdownField(
                //   hint: "City",
                // ),
                12.height,
                TxtField(
                  hint: LocaleKeys.address.tr(),
                  maxLines: 5,
                ),
                12.height,
                LocaleKeys.selectLocationMap.tr().toText14(),
                12.height,
                Image.asset("assets/images/bn_map.png"),
                50.height,
                ShowFillButton(
                  title: LocaleKeys.save.tr(),
                  maxWidth: double.infinity,
                  onPressed: () {
                    showMDialog(context,
                        child: MessageDialog(
                          title: LocaleKeys.profileCompleted.tr(),
                        ));
                  },
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
